Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.om.formula
Class XPathHelper

    java.lang.Object
      com.ihr.xbrl.om.formula.XPathHelper

    public class XPathHelper

extends java.lang.Object

Author:
  Ignacio

Constructor Summary
`XPathHelper(net.sf.saxon.s9api.XPathCompiler compiler, net.sf.saxon.s9api.XdmItem context, XBRLFormula formula, java.util.Collection<javax.xml.namespace.QName> declaredVariables)`

Method Summary
`boolean` | `evaluateBoolean(net.sf.saxon.s9api.XPathSelector sel)`
`net.sf.saxon.s9api.XdmValue` | `evaluateList(java.lang.String expression)`
`net.sf.saxon.s9api.XdmValue` | `evaluateList(net.sf.saxon.s9api.XPathSelector sel)`
`net.sf.saxon.s9api.XdmItem` | `evaluateNode(java.lang.String expression)`
`net.sf.saxon.s9api.XdmItem` | `evaluateNode(net.sf.saxon.s9api.XPathSelector sel)`
`java.lang.String` | `evaluateString(java.lang.String expression)`
`net.sf.saxon.s9api.XPathCompiler` | `getCompiler()`
`net.sf.saxon.s9api.XdmItem` | `getContext()`
`XBRLFormula` | `getFormula()`
`net.sf.saxon.s9api.XPathSelector` | `getSelector(java.lang.String expression)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathHelper

    public XPathHelper(net.sf.saxon.s9api.XPathCompiler compiler,
                       net.sf.saxon.s9api.XdmItem context,
                       XBRLFormula formula,
                       java.util.Collection<javax.xml.namespace.QName> declaredVariables)

Parameters:
  `xpathCompiler` -
  `document` -
  `xbrlFormula` -

Method Detail

### getContext

    public net.sf.saxon.s9api.XdmItem getContext()

  Returns:

### getSelector

    public net.sf.saxon.s9api.XPathSelector getSelector(java.lang.String expression)

### evaluateNode

    public net.sf.saxon.s9api.XdmItem evaluateNode(net.sf.saxon.s9api.XPathSelector sel)

### evaluateNode

    public net.sf.saxon.s9api.XdmItem evaluateNode(java.lang.String expression)

  Parameters:
    `expression` -
  Returns:

### evaluateString

    public java.lang.String evaluateString(java.lang.String expression)

  Parameters:
    `schemeExpression` -
  Returns:

### getFormula

    public XBRLFormula getFormula()

### getCompiler

    public net.sf.saxon.s9api.XPathCompiler getCompiler()

### evaluateList

    public net.sf.saxon.s9api.XdmValue evaluateList(java.lang.String expression)

  Parameters:
    `xpath` -

### evaluateList

    public net.sf.saxon.s9api.XdmValue evaluateList(net.sf.saxon.s9api.XPathSelector sel)

  Parameters:
    `xpath` -

### evaluateBoolean

    public boolean evaluateBoolean(net.sf.saxon.s9api.XPathSelector sel)
                            throws XFValidationException

  Throws:
    `XFValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD